#auth-root {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  background-color: #E5E5E5; /*#f4f4f6*/
}

p, h1 {
  margin: 0;
}

#header, #main, #footer {
  width: 100%;
  max-width: 400px;
  padding: 16px;

  border-radius: 12px;
  margin-bottom: 8px;
  background-color: white;
}

#header {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

#logo-wrap {
  display: flex;
  justify-content: center;
  padding-bottom: 20px;
}

img {
  width: 130px;
  max-width: 100%;
}

h1 {
  text-align: center;
}

form {
  display: flex;
  flex-direction: column;
}

#email-wrap, #password-wrap {
  /*wrappers are create for email and pw to make programmatically hidden them in code easier,
  as well as to attach spacing to them, so when hidden this goes with them*/
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin-top: 16px;
}

.err-feedback {
  color: #fe0000;
  padding: 8px 8px 0;
}

#reset-pw-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#submit-btn {
  margin: 32px 0 12px;
}

#reset-pw-btn, .footer-nav-btn {
  padding: 0 16px 8px;
  min-height: 32px;
  background-color: unset;
  border: none;
}

.footer-nav-btn {
  padding: 0 16px !important;
}

#reset-pw-btn:hover, a[class="footer-nav"]:hover {
  cursor: pointer;
}

input {
  outline: none;
  border: 1px solid darkgrey;
  border-radius: 6px;
  min-height: 42px;
}

input[type="email"], input[type="password"] {
  padding: 8px 12px;
}

label {
  padding-bottom: 4px;
}

input:focus {
  outline: 2px solid var(--primary-colour800);
  border: none;
}

#footer {
  display: flex;
  justify-content: center;
  align-items: center;
  min-height: 64px;
  background-color: var(--app-colour50) !important; /*Override segment-wide white bkg*/
}

.footer-nav {
  text-decoration: underline;
  font-style: italic;
}

.footer-nav-btn a[class="footer-nav"] {
  padding: 8px 4px; /*Horizontal pad provides gap between text of the different <a>*/
  height: max-content;
}
